<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");
$tempColumns = Array (
	"tx_acornmember_hide" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_hide",		
		"config" => Array (
			"type" => "check",
		)
	),
	"tx_acornmember_flexform" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_flexform",		
		"config" => Array (
			'type' => 'flex',
			'ds_pointerField' => 'list_type',
			'ds' => array(
				'default' => 'FILE:EXT:acorn_member/flexform_ds.country.xml',
			)
		)
	),
	"tx_acornmember_memberlevel" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_memberlevel",		
		"config" => Array (
			"type" => "select",	
			"foreign_table" => "tx_acornmember_level",	
			"foreign_table_where" => "AND tx_acornmember_level.pid=###CURRENT_PID### ORDER BY tx_acornmember_level.uid",	
			"size" => 4,	
			"minitems" => 0,
			"maxitems" => 20,	
			"MM" => "tx_acornoffice_country_tx_acornmember_memberlevel_mm",	
			"wizards" => Array(
				"_PADDING" => 2,
				"_VERTICAL" => 1,
				"add" => Array(
					"type" => "script",
					"title" => "Create new record",
					"icon" => "add.gif",
					"params" => Array(
						"table"=>"tx_acornmember_level",
						"pid" => "###CURRENT_PID###",
						"setValue" => "prepend"
					),
					"script" => "wizard_add.php",
				),
				"edit" => Array(
					"type" => "popup",
					"title" => "Edit",
					"script" => "wizard_edit.php",
					"popup_onlyOpenIfSelected" => 1,
					"icon" => "edit2.gif",
					"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
				),
			),
		)
	),
	"tx_acornmember_donatelevel" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_donatelevel",		
		"config" => Array (
			"type" => "select",	
			"foreign_table" => "tx_acornmember_donate",	
			"foreign_table_where" => "ORDER BY tx_acornmember_donate.uid",	
			"size" => 4,	
			"minitems" => 0,
			"maxitems" => 20,	
			"MM" => "tx_acornoffice_country_tx_acornmember_donatelevel_mm",	
			"wizards" => Array(
				"_PADDING" => 2,
				"_VERTICAL" => 1,
				"add" => Array(
					"type" => "script",
					"title" => "Create new record",
					"icon" => "add.gif",
					"params" => Array(
						"table"=>"tx_acornmember_donate",
						"pid" => "###CURRENT_PID###",
						"setValue" => "prepend"
					),
					"script" => "wizard_add.php",
				),
				"edit" => Array(
					"type" => "popup",
					"title" => "Edit",
					"script" => "wizard_edit.php",
					"popup_onlyOpenIfSelected" => 1,
					"icon" => "edit2.gif",
					"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
				),
			),
		)
	),
	"tx_acornmember_payment" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_payment",		
		"config" => Array (
			"type" => "select",
			"items" => Array (
				Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_payment.I.0", "CC"),
				Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_payment.I.1", "CA"),
				Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_payment.I.2", "SA"),
			),
			"size" => 3,	
			"maxitems" => 3,
		)
	),
	"tx_acornmember_confirm_email" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_confirm_email",		
		"config" => Array (
			"type" => "input",	
			"size" => "30",
		)
	),
	"tx_acornmember_address_flexform" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_address_flexform",		
		"config" => Array (
			"type" => "text",
			"wrap" => "OFF",
			"cols" => "30",	
			"rows" => "8",
		)
	),
	"tx_acornmember_address_flexform_preview" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_country.tx_acornmember_address_flexform_preview",		
		"config" => Array (
			'type' => 'flex',
			'ds_pointerField' => 'uid',
			'ds_tableField' => 'tx_acornoffice_country:tx_acornmember_address_flexform',
		)
	),
);


t3lib_div::loadTCA("tx_acornoffice_country");
t3lib_extMgm::addTCAcolumns("tx_acornoffice_country",$tempColumns,1);
t3lib_extMgm::addToAllTCAtypes("tx_acornoffice_country","tx_acornmember_hide;;;;1-1-1, tx_acornmember_flexform, tx_acornmember_memberlevel, tx_acornmember_donatelevel, tx_acornmember_payment, tx_acornmember_confirm_email, tx_acornmember_address_flexform, tx_acornmember_address_flexform_preview");

$tempColumns = Array (
	"tx_acornmember_hide" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_office.tx_acornmember_hide",		
		"config" => Array (
			"type" => "check",
		)
	),
	"tx_acornmember_donate" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_office.tx_acornmember_donate",		
		"config" => Array (
			"type" => "select",	
			"foreign_table" => "tx_acornmember_donate",	
			"foreign_table_where" => "AND tx_acornmember_donate.pid=###CURRENT_PID### ORDER BY tx_acornmember_donate.uid",	
			"size" => 4,	
			"minitems" => 0,
			"maxitems" => 20,	
			"MM" => "tx_acornoffice_office_tx_acornmember_donate_mm",	
			"wizards" => Array(
				"_PADDING" => 2,
				"_VERTICAL" => 1,
				"add" => Array(
					"type" => "script",
					"title" => "Create new record",
					"icon" => "add.gif",
					"params" => Array(
						"table"=>"tx_acornmember_donate",
						"pid" => "###CURRENT_PID###",
						"setValue" => "prepend"
					),
					"script" => "wizard_add.php",
				),
				"edit" => Array(
					"type" => "popup",
					"title" => "Edit",
					"script" => "wizard_edit.php",
					"popup_onlyOpenIfSelected" => 1,
					"icon" => "edit2.gif",
					"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
				),
			),
		)
	),
	"tx_acornmember_confirm_email" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_office.tx_acornmember_confirm_email",		
		"config" => Array (
			"type" => "input",	
			"size" => "30",
		)
	),
);


t3lib_div::loadTCA("tx_acornoffice_office");
t3lib_extMgm::addTCAcolumns("tx_acornoffice_office",$tempColumns,1);
t3lib_extMgm::addToAllTCAtypes("tx_acornoffice_office","tx_acornmember_hide;;;;1-1-1, tx_acornmember_donate, tx_acornmember_confirm_email");

$tempColumns = Array (
	"tx_acornmember_confirm_email" => Array (		
		"exclude" => 1,		
		"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornoffice_state.tx_acornmember_confirm_email",		
		"config" => Array (
			"type" => "input",	
			"size" => "30",
		)
	),
);


t3lib_div::loadTCA("tx_acornoffice_state");
t3lib_extMgm::addTCAcolumns("tx_acornoffice_state",$tempColumns,1);
t3lib_extMgm::addToAllTCAtypes("tx_acornoffice_state","tx_acornmember_confirm_email;;;;1-1-1");


t3lib_extMgm::addToInsertRecords("tx_acornmember_level");

$TCA["tx_acornmember_level"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level",		
		"label" => "name",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"sortby" => "sorting",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",	
			"starttime" => "starttime",	
			"endtime" => "endtime",	
			"fe_group" => "fe_group",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_acornmember_level.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, starttime, endtime, fe_group, name, flexform, currency, dues, dues_mo, dues_mo_sel, dues_ot, dues_ot_sel, confirm_email",
	)
);


t3lib_extMgm::allowTableOnStandardPages("tx_acornmember_donate");


t3lib_extMgm::addToInsertRecords("tx_acornmember_donate");

$TCA["tx_acornmember_donate"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate",		
		"label" => "donate",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"sortby" => "sorting",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",	
			"starttime" => "starttime",	
			"endtime" => "endtime",	
			"fe_group" => "fe_group",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_acornmember_donate.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, starttime, endtime, fe_group, donate, flexform, url, currency, donation_mo, donation_mo_sel, donation_ot, donation_ot_sel, confirm_email",
	)
);


t3lib_extMgm::allowTableOnStandardPages("tx_acornmember_payoption");


t3lib_extMgm::addToInsertRecords("tx_acornmember_payoption");

$TCA["tx_acornmember_payoption"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption",		
		"label" => "name",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"sortby" => "sorting",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",	
			"starttime" => "starttime",	
			"endtime" => "endtime",	
			"fe_group" => "fe_group",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_acornmember_payoption.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, starttime, endtime, fe_group, name, payoption_type, blank, amount, flexform",
	)
);


t3lib_extMgm::allowTableOnStandardPages("tx_acornmember_supporter");


t3lib_extMgm::addToInsertRecords("tx_acornmember_supporter");

$TCA["tx_acornmember_supporter"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter",		
		"label" => "name",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"default_sortby" => "ORDER BY crdate DESC",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",	
			"starttime" => "starttime",	
			"endtime" => "endtime",	
			"fe_group" => "fe_group",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_acornmember_supporter.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, starttime, endtime, fe_group, name, supporter_type, stime, add_flexform, md_flexform, payment, bill_flexform, country",
	)
);


t3lib_extMgm::allowTableOnStandardPages("tx_acornmember_contribution");

$TCA["tx_acornmember_contribution"] = Array (
	"ctrl" => Array (
		"title" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_contribution",		
		"label" => "recipient",	
		"tstamp" => "tstamp",
		"crdate" => "crdate",
		"cruser_id" => "cruser_id",
		"default_sortby" => "ORDER BY crdate DESC",	
		"delete" => "deleted",	
		"enablecolumns" => Array (		
			"disabled" => "hidden",	
			"starttime" => "starttime",	
			"endtime" => "endtime",	
			"fe_group" => "fe_group",
		),
		"dynamicConfigFile" => t3lib_extMgm::extPath($_EXTKEY)."tca.php",
		"iconfile" => t3lib_extMgm::extRelPath($_EXTKEY)."icon_tx_acornmember_contribution.gif",
	),
	"feInterface" => Array (
		"fe_admin_fieldList" => "hidden, starttime, endtime, fe_group, recipient, donate, supporter, donation_mo, donation_ot",
	)
);


t3lib_div::loadTCA("tt_content");
$TCA["tt_content"]["types"]["list"]["subtypes_excludelist"][$_EXTKEY."_pi1"]="layout,select_key";


t3lib_extMgm::addPlugin(Array("LLL:EXT:acorn_member/locallang_db.php:tt_content.list_type_pi1", $_EXTKEY."_pi1"),"list_type");


t3lib_extMgm::addStaticFile($_EXTKEY,"pi1/static/","Membership Form");						


if (TYPO3_MODE=="BE")	$TBE_MODULES_EXT["xMOD_db_new_content_el"]["addElClasses"]["tx_acornmember_pi1_wizicon"] = t3lib_extMgm::extPath($_EXTKEY)."pi1/class.tx_acornmember_pi1_wizicon.php";


t3lib_div::loadTCA("tt_content");
$TCA["tt_content"]["types"]["list"]["subtypes_excludelist"][$_EXTKEY."_pi2"]="layout,select_key";


t3lib_extMgm::addPlugin(Array("LLL:EXT:acorn_member/locallang_db.php:tt_content.list_type_pi2", $_EXTKEY."_pi2"),"list_type");


t3lib_extMgm::addStaticFile($_EXTKEY,"pi2/static/","Donation Form");						


if (TYPO3_MODE=="BE")	$TBE_MODULES_EXT["xMOD_db_new_content_el"]["addElClasses"]["tx_acornmember_pi2_wizicon"] = t3lib_extMgm::extPath($_EXTKEY)."pi2/class.tx_acornmember_pi2_wizicon.php";
?>