<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");

$TCA["tx_acornmember_level"] = Array (
	"ctrl" => $TCA["tx_acornmember_level"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,starttime,endtime,fe_group,name,flexform,currency,dues,dues_mo,dues_mo_sel,dues_ot,dues_ot_sel,confirm_email"
	),
	"feInterface" => $TCA["tx_acornmember_level"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"endtime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.endtime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0",
				"range" => Array (
					"upper" => mktime(0,0,0,12,31,2020),
					"lower" => mktime(0,0,0,date("m")-1,date("d"),date("Y"))
				)
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"name" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"flexform" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.flexform",		
			"config" => Array (
				'type' => 'flex',
				'ds_pointerField' => 'list_type',
				'ds' => array(
					'default' => 'FILE:EXT:acorn_member/flexform_ds.level.xml',
		  		)
			)
		),
		"currency" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.currency",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"dues" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
			)
		),
		"dues_mo" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_mo",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_acornmember_payoption",	
				"foreign_table_where" => "AND payoption_type = 'MO' ORDER BY tx_acornmember_payoption.sorting",	
				"size" => 4,	
				"minitems" => 0,
				"maxitems" => 6,	
				"MM" => "tx_acornmember_level_dues_mo_mm",	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_acornmember_payoption",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
		"dues_mo_sel" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_mo_sel",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_mo_sel.I.0", "0"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_mo_sel.I.1", "1"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_mo_sel.I.2", "2"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_mo_sel.I.3", "3"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_mo_sel.I.4", "4"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_mo_sel.I.5", "5"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_mo_sel.I.6", "6"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"dues_ot" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_ot",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_acornmember_payoption",	
				"foreign_table_where" => "AND payoption_type = 'OT' ORDER BY tx_acornmember_payoption.sorting",	
				"size" => 4,	
				"minitems" => 0,
				"maxitems" => 6,	
				"MM" => "tx_acornmember_level_dues_ot_mm",	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_acornmember_payoption",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
		"dues_ot_sel" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_ot_sel",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_ot_sel.I.0", "0"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_ot_sel.I.1", "1"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_ot_sel.I.2", "2"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_ot_sel.I.3", "3"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_ot_sel.I.4", "4"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_ot_sel.I.5", "5"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.dues_ot_sel.I.6", "6"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"confirm_email" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_level.confirm_email",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, name, flexform, currency, dues, dues_mo, dues_mo_sel, dues_ot, dues_ot_sel, confirm_email")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime, endtime, fe_group")
	)
);



$TCA["tx_acornmember_donate"] = Array (
	"ctrl" => $TCA["tx_acornmember_donate"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,starttime,endtime,fe_group,donate,flexform,url,currency,donation_mo,donation_mo_sel,donation_ot,donation_ot_sel,confirm_email"
	),
	"feInterface" => $TCA["tx_acornmember_donate"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"endtime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.endtime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0",
				"range" => Array (
					"upper" => mktime(0,0,0,12,31,2020),
					"lower" => mktime(0,0,0,date("m")-1,date("d"),date("Y"))
				)
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"donate" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donate",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"flexform" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.flexform",		
			"config" => Array (
				'type' => 'flex',
				'ds_pointerField' => 'list_type',
				'ds' => array(
					'default' => 'FILE:EXT:acorn_member/flexform_ds.donate.xml',
		  		)
			)
		),
		"url" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.url",		
			"config" => Array (
				"type" => "input",		
				"size" => "15",
				"max" => "255",
				"checkbox" => "",
				"eval" => "trim",
				"wizards" => Array(
					"_PADDING" => 2,
					"link" => Array(
						"type" => "popup",
						"title" => "Link",
						"icon" => "link_popup.gif",
						"script" => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					)
				)
			)
		),
		"currency" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.currency",		
			"config" => Array (
				"type" => "input",	
				"size" => "5",	
				"eval" => "required",
			)
		),
		"donation_mo" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_mo",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_acornmember_payoption",	
				"foreign_table_where" => "AND payoption_type = 'MOD' ORDER BY tx_acornmember_payoption.sorting",	
				"size" => 4,	
				"minitems" => 0,
				"maxitems" => 6,	
				"MM" => "tx_acornmember_donate_donation_mo_mm",	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_acornmember_payoption",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
		"donation_mo_sel" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_mo_sel",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_mo_sel.I.0", "0"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_mo_sel.I.1", "1"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_mo_sel.I.2", "2"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_mo_sel.I.3", "3"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_mo_sel.I.4", "4"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_mo_sel.I.5", "5"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_mo_sel.I.6", "6"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"donation_ot" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_ot",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_acornmember_payoption",	
				"foreign_table_where" => "AND payoption_type = 'OTD' ORDER BY tx_acornmember_payoption.sorting",	
				"size" => 4,	
				"minitems" => 0,
				"maxitems" => 6,	
				"MM" => "tx_acornmember_donate_donation_ot_mm",	
				"wizards" => Array(
					"_PADDING" => 2,
					"_VERTICAL" => 1,
					"add" => Array(
						"type" => "script",
						"title" => "Create new record",
						"icon" => "add.gif",
						"params" => Array(
							"table"=>"tx_acornmember_payoption",
							"pid" => "###CURRENT_PID###",
							"setValue" => "prepend"
						),
						"script" => "wizard_add.php",
					),
					"edit" => Array(
						"type" => "popup",
						"title" => "Edit",
						"script" => "wizard_edit.php",
						"popup_onlyOpenIfSelected" => 1,
						"icon" => "edit2.gif",
						"JSopenParams" => "height=350,width=580,status=0,menubar=0,scrollbars=1",
					),
				),
			)
		),
		"donation_ot_sel" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_ot_sel",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_ot_sel.I.0", "0"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_ot_sel.I.1", "1"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_ot_sel.I.2", "2"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_ot_sel.I.3", "3"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_ot_sel.I.4", "4"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_ot_sel.I.5", "5"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.donation_ot_sel.I.6", "6"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"confirm_email" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_donate.confirm_email",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, donate, flexform, url, currency, donation_mo, donation_mo_sel, donation_ot, donation_ot_sel, confirm_email")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime, endtime, fe_group")
	)
);



$TCA["tx_acornmember_payoption"] = Array (
	"ctrl" => $TCA["tx_acornmember_payoption"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,starttime,endtime,fe_group,name,payoption_type,blank,amount,flexform"
	),
	"feInterface" => $TCA["tx_acornmember_payoption"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"endtime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.endtime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0",
				"range" => Array (
					"upper" => mktime(0,0,0,12,31,2020),
					"lower" => mktime(0,0,0,date("m")-1,date("d"),date("Y"))
				)
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"name" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"payoption_type" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.payoption_type",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.payoption_type.I.0", "MO"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.payoption_type.I.1", "OT"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.payoption_type.I.2", "MOD"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.payoption_type.I.3", "OTD"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"blank" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.blank",		
			"config" => Array (
				"type" => "radio",
				"items" => Array (
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.blank.I.0", "0"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.blank.I.1", "1"),
				),
			)
		),
		"amount" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.amount",		
			"config" => Array (
				"type" => "input",	
				"size" => "5",	
				"eval" => "required",
			)
		),
		"flexform" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_payoption.flexform",		
			"config" => Array (
				'type' => 'flex',
				'ds_pointerField' => 'list_type',
				'ds' => array(
					'default' => 'FILE:EXT:acorn_member/flexform_ds.payoption.xml',
		  		)
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, name, payoption_type, blank, amount, flexform")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime, endtime, fe_group")
	)
);



$TCA["tx_acornmember_supporter"] = Array (
	"ctrl" => $TCA["tx_acornmember_supporter"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,starttime,endtime,fe_group,name,supporter_type,stime,add_flexform,md_flexform,payment,bill_flexform,country"
	),
	"feInterface" => $TCA["tx_acornmember_supporter"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"endtime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.endtime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0",
				"range" => Array (
					"upper" => mktime(0,0,0,12,31,2020),
					"lower" => mktime(0,0,0,date("m")-1,date("d"),date("Y"))
				)
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"name" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"supporter_type" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.supporter_type",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.supporter_type.I.0", "M"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.supporter_type.I.1", "D"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.supporter_type.I.2", "MD"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"stime" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.stime",		
			"config" => Array (
				"type" => "input",
				"size" => "12",
				"max" => "20",
				"eval" => "datetime",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"add_flexform" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.add_flexform",		
			"config" => Array (
				'type' => 'flex',
				'ds_pointerField' => 'country',
				'ds_tableField' => 'tx_acornoffice_country:tx_acornmember_address_flexform',
			)
		),
		"md_flexform" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.md_flexform",		
			"config" => Array (
				'type' => 'flex',
				'ds_pointerField' => 'supporter_type',
				'ds' => array(
					'M' => 'FILE:EXT:acorn_member/flexform_ds.supporter_M.xml',
					'D' => 'FILE:EXT:acorn_member/flexform_ds.supporter_D.xml',
					'MD' => 'FILE:EXT:acorn_member/flexform_ds.supporter_MD.xml',
		  		)
			)
		),
		"payment" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.payment",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.payment.I.0", "CC"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.payment.I.1", "CA"),
					Array("LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.payment.I.2", "SA"),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"bill_flexform" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.bill_flexform",		
			"config" => Array (
				'type' => 'flex',
				'ds_pointerField' => 'payment',
				'ds' => array(
					'CC' => 'FILE:EXT:acorn_member/flexform_ds.billing_CC.xml',
					'CA' => 'FILE:EXT:acorn_member/flexform_ds.billing_CA.xml',
					'SA' => 'FILE:EXT:acorn_member/flexform_ds.billing_SA.xml',
		  		)
			)
		),
		"country" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_supporter.country",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_acornoffice_country",	
				"foreign_table_where" => "ORDER BY tx_acornoffice_country.uid",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, name, supporter_type, stime, add_flexform, md_flexform, payment, bill_flexform, country")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime, endtime, fe_group")
	)
);



$TCA["tx_acornmember_contribution"] = Array (
	"ctrl" => $TCA["tx_acornmember_contribution"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,starttime,endtime,fe_group,recipient,donate,supporter,donation_mo,donation_ot"
	),
	"feInterface" => $TCA["tx_acornmember_contribution"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"endtime" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.endtime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0",
				"range" => Array (
					"upper" => mktime(0,0,0,12,31,2020),
					"lower" => mktime(0,0,0,date("m")-1,date("d"),date("Y"))
				)
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",	
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"recipient" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_contribution.recipient",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "required",
			)
		),
		"donate" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_contribution.donate",		
			"config" => Array (
				"type" => "group",	
				"internal_type" => "db",	
				"allowed" => "tx_acornmember_donate",	
				"size" => 4,	
				"minitems" => 0,
				"maxitems" => 20,	
				"MM" => "tx_acornmember_contribution_donate_mm",
			)
		),
		"supporter" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_contribution.supporter",		
			"config" => Array (
				"type" => "group",	
				"internal_type" => "db",	
				"allowed" => "tx_acornmember_supporter",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
		"donation_mo" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_contribution.donation_mo",		
			"config" => Array (
				"type" => "input",	
				"size" => "6",
			)
		),
		"donation_ot" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:acorn_member/locallang_db.php:tx_acornmember_contribution.donation_ot",		
			"config" => Array (
				"type" => "input",	
				"size" => "6",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, recipient, donate, supporter, donation_mo, donation_ot")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime, endtime, fe_group")
	)
);
?>